Loading...
Searching...
No Matches
fastjet::SearchTree< T >::circulator Class Reference

More...

`#include <fastjet/internal/SearchTree.hh>`

## Public Member Functions

| circulator (Node *node)
const T * | operator-> () const
T * | operator-> ()
const T & | operator* () const
T & | operator* ()
circulator & | operator++ ()
| prefix increment (structure copied from stl_bvector.h)
circulator | operator++ (int)
| postfix increment ["int" argument tells compiler it's postfix] (structure copied from stl_bvector.h)
circulator & | operator-- ()
| prefix decrement (structure copied from stl_bvector.h)
circulator | operator-- (int)
| postfix decrement ["int" argument tells compiler it's postfix] (structure copied from stl_bvector.h)
circulator | next () const
| return a circulator referring to the next node
circulator | previous () const
| return a circulator referring to the previous node
bool | operator!= (const circulator &other) const
bool | operator== (const circulator &other) const

## Friends

class | SearchTree< T >::const_circulator
class | SearchTree< T >

## Detailed Description

template<class T>
class fastjet::SearchTree< T >::circulator

Definition at line 189 of file SearchTree.hh.

## Constructor & Destructor Documentation

## circulator() [1/2]

template<class T>

fastjet::SearchTree< T >::circulator::circulator | ( |  | ) |

inline

Definition at line 202 of file SearchTree.hh.

## circulator() [2/2]

template<class T>

fastjet::SearchTree< T >::circulator::circulator | ( | Node * | node | ) |

inline

Definition at line 204 of file SearchTree.hh.

## Member Function Documentation

## operator->() [1/2]

template<class T>

const T * fastjet::SearchTree< T >::circulator::operator-> | ( |  | ) | const

inline

Definition at line 206 of file SearchTree.hh.

## operator->() [2/2]

template<class T>

T * fastjet::SearchTree< T >::circulator::operator-> | ( |  | ) |

inline

Definition at line 207 of file SearchTree.hh.

## operator*() [1/2]

template<class T>

const T & fastjet::SearchTree< T >::circulator::operator* | ( |  | ) | const

inline

Definition at line 208 of file SearchTree.hh.

## operator*() [2/2]

template<class T>

T & fastjet::SearchTree< T >::circulator::operator* | ( |  | ) |

inline

Definition at line 209 of file SearchTree.hh.

## operator++() [1/2]

template<class T>

circulator & fastjet::SearchTree< T >::circulator::operator++ | ( |  | ) |

inline

prefix increment (structure copied from stl_bvector.h)

Definition at line 212 of file SearchTree.hh.

## operator++() [2/2]

template<class T>

circulator fastjet::SearchTree< T >::circulator::operator++ | ( | int |  | ) |

inline

postfix increment ["int" argument tells compiler it's postfix] (structure copied from stl_bvector.h)

Definition at line 218 of file SearchTree.hh.

## operator--() [1/2]

template<class T>

circulator & fastjet::SearchTree< T >::circulator::operator-- | ( |  | ) |

inline

prefix decrement (structure copied from stl_bvector.h)

Definition at line 224 of file SearchTree.hh.

## operator--() [2/2]

template<class T>

circulator fastjet::SearchTree< T >::circulator::operator-- | ( | int |  | ) |

inline

postfix decrement ["int" argument tells compiler it's postfix] (structure copied from stl_bvector.h)

Definition at line 230 of file SearchTree.hh.

## next()

template<class T>

circulator fastjet::SearchTree< T >::circulator::next | ( |  | ) | const

inline

return a circulator referring to the next node

Definition at line 236 of file SearchTree.hh.

## previous()

template<class T>

circulator fastjet::SearchTree< T >::circulator::previous | ( |  | ) | const

inline

return a circulator referring to the previous node

Definition at line 240 of file SearchTree.hh.

## operator!=()

template<class T>

bool fastjet::SearchTree< T >::circulator::operator!= | ( | const circulator & | other | ) | const

inline

Definition at line 243 of file SearchTree.hh.

## operator==()

template<class T>

bool fastjet::SearchTree< T >::circulator::operator== | ( | const circulator & | other | ) | const

inline

Definition at line 244 of file SearchTree.hh.

## Friends And Related Symbol Documentation

## SearchTree< T >::const_circulator

template<class T>

friend class SearchTree< T >::const_circulator

friend

Definition at line 199 of file SearchTree.hh.

## SearchTree< T >

template<class T>

friend class SearchTree< T >

friend

Definition at line 199 of file SearchTree.hh.

The documentation for this class was generated from the following file:

- include/fastjet/internal/SearchTree.hh